> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a Card



## OpenAPI

````yaml api-reference/openapi-cards.json GET /card/{id}
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Cards
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /card/{id}:
    get:
      tags:
        - Card
      summary: Fetch a Card
      parameters:
        - description: Unique identifier for object
          in: path
          name: id
          required: true
          schema:
            description: Unique identifier for object
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    account_id: acct_291u96075mva
                    card_controls: null
                    card_product_id: cdpt_w10r2sebv0nl
                    created_at: '2021-02-19T20:42:40Z'
                    cvv: null
                    expiration: '0225'
                    external_id: tprime_card_zuhqnmz7e085
                    fulfillment:
                      shipping_method: USPS Mail (5-7 business days)
                      status: issued
                      tracking_number: null
                    id: card_zuhqnmz7e085
                    last4: '3385'
                    pan: null
                    person_id: psn_5vyzn6sveupa
                    pin_is_set: false
                    status: unactivated
                    updated_at: '2021-02-19T20:42:41Z'
                    userdata: null
              schema:
                properties:
                  account_id:
                    description: >-
                      The ID of the account that the card should be issued
                      against. Filterable.
                    type: string
                  card_controls:
                    description: An object that defines rules for how this card can be used
                    properties:
                      controls:
                        items:
                          properties:
                            amount:
                              format: float
                              type: number
                            interval:
                              type: string
                            mccs:
                              items:
                                type: string
                              type: array
                            mids:
                              items:
                                type: string
                              type: array
                            restriction:
                              type: string
                            rollover_time:
                              type: string
                            timezone:
                              type: string
                            type:
                              type: string
                            version:
                              type: integer
                            window:
                              type: integer
                          type: object
                        type: array
                      name:
                        type: string
                    type: object
                  card_product_id:
                    description: >-
                      The ID of the card product that this card should be issued
                      from. Filterable.
                    type: string
                  creation_options:
                    description: >-
                      An object that defines additional fields for card
                      customization on creation
                    properties:
                      name_line_one:
                        description: >-
                          Specifies the first line of personalized text that
                          appears on the card. (max 21 characters)
                        type: string
                      name_line_two:
                        description: >-
                          Specifies the second line of personalized text that
                          appears on the card. (max 21 characters)
                        type: string
                    type: object
                  cvv:
                    description: >-
                      The 3-digit card verification code. Note this field will
                      return null unless the `show_cvv` query parameter is set
                    type: string
                  expiration:
                    description: The card expiration year and month, in MMYY format
                    type: string
                  fulfillment:
                    description: Information about the card's fulfillment process
                    properties:
                      shipping_method:
                        description: The shipping service used
                        type: string
                      status:
                        description: >-
                          One of: `issued`, `ordered`, `reordered`, `rejected`,
                          `shipped`, `digitally_presented`
                        type: string
                      tracking_number:
                        description: >-
                          A tracking number for eligible card manufacturers and
                          shipping methods
                        type: string
                    type: object
                  id:
                    description: Unique identifier for object
                    type: string
                  last4:
                    description: Last 4 digits of the card number. Filterable.
                    type: string
                  new_pan_from_card_id:
                    description: >-
                      The ID of a card to reissue. If this field is entered a
                      new card will be created without pin, a new PAN, CVV and
                      expiration
                    type: string
                  pan:
                    description: >-
                      The primary 16-digit card number. Note this field will
                      return null unless the `show_pan` parameter is set
                    type: string
                  person_id:
                    description: >-
                      The ID of the person representing the cardholder that this
                      card will be issued to. Filterable.
                    type: string
                  pin_is_set:
                    description: >-
                      Reflects whether the user has set a PIN on the card;
                      initially false
                    type: boolean
                  reissue_pan_from_card_id:
                    description: >-
                      The ID of a card to reissue. If this field is entered a
                      new card will be created with the same PAN and pin, but
                      new CVV and expiration.
                    type: string
                  show_cvv:
                    description: >-
                      When true, the `cvv` field will be returned with non-null
                      data. False by default. Requires PCI compliance.
                    enum:
                      - 'true'
                      - 'false'
                    type: string
                  show_pan:
                    description: >-
                      When true, the `pan` field will be returned with non-null
                      data. False by default. Requires PCI compliance.
                    enum:
                      - 'true'
                      - 'false'
                    type: string
                  status:
                    description: >-
                      One of: `unactivated`, `active`, `suspended`,
                      `terminated`. Filterable.
                    type: string
                  userdata:
                    description: Optional arbitrary user data
                    type: object
          description: The card
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````